Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361642 - [RFE] Importing puppet environments from the UI does not indicate that something is actually happening
Summary: [RFE] Importing puppet environments from the UI does not indicate that someth...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 15:40 UTC by Og Maciel
Modified: 2017-08-29 15:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 15:14:57 UTC


Attachments (Terms of Use)
Importing from capsule page (deleted)
2016-07-29 15:40 UTC, Og Maciel
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 20767 None None None 2017-08-28 14:55:52 UTC

Description Og Maciel 2016-07-29 15:40:30 UTC
Created attachment 1185595 [details]
Importing from capsule page

Description of problem:

If you visit the Puppet environments page (Configure > Puppet environments) and click the "Import from <YOUR CAPSULE FQDN>" button, there is no indication in the UI that something is actually happening. It would be great to at least display some type of notification to the user that the import action is taking place).

Version-Release number of selected component (if applicable):

* Satellite 6.2.0

How reproducible:

Steps to Reproduce:
1. Visit the Puppet environments page (Configure > Puppet environments) and click the "Import from <YOUR CAPSULE FQDN>" button
2.
3.

Actual results:

No visual indication that something is actually happening

Expected results:

Some level of visual notification that the import action is taking place

Additional info:

Comment 1 Sebastian Gräßl 2017-08-28 14:55:45 UTC
Created redmine issue http://projects.theforeman.org/issues/20767 from this bug

Comment 2 Daniel Lobato Garcia 2017-08-29 09:12:44 UTC
I don't quite understand this request. The import of Puppet environments is a synchronous operation, once you click on import, you get either of these:

 * Prompted with a list of environments to add/remove/etc (to solve conflicts if a Puppet environment is available in one capsule but not in another)
 * A green message saying "No changes to your environments detected".

If you decide to import them you get "Successfully updated environments and Puppet classes from the on-disk Puppet installation" or "Failed to update environments and Puppet classes from the on-disk Puppet installation: %s" (if some error happened)"

Could you elaborate more on what's being asked for here? Thanks

Comment 3 Og Maciel 2017-08-29 15:14:57 UTC
Hi Daniel,

I was looking for some type of indicator (i.e. progress bar or spinner or something like it) that shows the user that something is happening when you click the Import button. 

When this issue was created, for Satellite 6.2.0, there was no indicator in the UI to show that something was happening.

I have just tested this on 6.2.11 and 6.3.0 and I now do see a spinner right before I'm prompted with a list of environments, so I believe that it is safe to close it as CLOSED|CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.